#!/bin/bash
# install-base.sh
# 
# Runs as root.
#
# This script builds a base ONOS VM. This is basically just an Ubuntu VM with ONOS's dependencies installed.

echo debconf shared/accepted-oracle-license-v1-1 select true | sudo debconf-set-selections
echo debconf shared/accepted-oracle-license-v1-1 seen true | sudo debconf-set-selections

sudo apt-get install -y software-properties-common python-software-properties

sudo add-apt-repository -y ppa:webupd8team/java

sudo apt-get update

sudo apt-get install -y git maven unzip curl wget lxc virtualbox-guest-utils \
wireshark quagga erlang make gcc autoconf openssl libssl0.9.8 libssl-dev libncurses5 \
libncurses5-dev oracle-java8-installer oracle-java8-set-default
    
# -------------- Setup keys -------------------

mkdir -p ~/.ssh
ssh-keygen -t rsa -P "" -f .ssh/id_rsa